Bug 12707 - нет init.d скрипта
: нет init.d скрипта
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mpd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-07 15:12 by
Modified: 2008-01-19 12:20 (History)


Attachments
init from debian (2.18 KB, application/octet-stream)
2007-09-10 15:30, Boris Savelev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-07 15:12:28
нет init.d скрипта



Expected Results:  
Хочется его видеть
------- Comment #1 From 2007-09-10 15:19:20 -------
прошу к нижесказанному отнестись с пониманием.

я лично запускаю mpd от своего локального аккаунта. в сеть у меня лично mpd не
смотрит. вся музыка у меня хранится в домашнем каталоге. 

т.е. инитскрипт в данном случае не даёт никаких преимуществ.

если вы напишите инитскрипт (хотя бы работающий прототип), я его приложу, и
буду
поддерживать по мере сил.
------- Comment #2 From 2007-09-10 15:27:41 -------
http://mpd.wikia.com/wiki/Hack:SystemV_Init ?

Я, кстати, тоже запускаю mpd от пользователя и далеко не всегда, а лишь когда
надо. (поэтому не сильно заинтересован в init-скрипте...)
------- Comment #3 From 2007-09-10 15:30:34 -------
Created an attachment (id=2189) [details]
init from debian

init.d script from Debian4.0
------- Comment #4 From 2007-09-10 15:31:09 -------
прицепил init.d скрипт от Debian4
------- Comment #5 From 2007-09-11 04:34:09 -------
(In reply to comment #4)
> прицепил init.d скрипт от Debian4

От дебиановского толку мало...
В /i/D ушёл mpd-0.13.0-alt1.1, с, надеюсь, правильным init-скриптом и всей 
необходимой обвязкой. При этом с прежним поведением конфликтов быть не должно: 
для работы в качестве системного сервиса используется /etc/mpd.sys.conf
------- Comment #6 From 2007-09-11 09:47:54 -------
зачем в дедал ? надо было в сизиф.
------- Comment #7 From 2007-09-11 09:51:03 -------
благо права выложить теперь уже есть.
------- Comment #8 From 2007-09-11 10:54:50 -------
(In reply to comment #6)
> зачем в дедал ? надо было в сизиф.

Я, как бы, не хотел "лезть в не свой пакет": в своё время я просил только NMU и 
подумал, что т.н. "постоянное право" выкладывания вы мне предоставили случайно 
(вместо одноразового):)
------- Comment #9 From 2007-09-11 11:08:13 -------
нет. у меня не всегда хватает времени, поэтому вменяемым заинтересованным людям
права выдаются навсегда.
------- Comment #10 From 2007-09-13 20:37:39 -------
(In reply to comment #9)
отправил в /i/S mpd-0.13.0-alt2. Кроме init-скрипта добавил также патч на 
configure.ac - теперь нормально отрабатывает %__autoreconf.
Как только дойдёт до Sisyphus, думаю, можно будет закрывать этот фичреквест.
------- Comment #11 From 2007-09-13 20:40:22 -------
(In reply to comment #10)
"music_directory" для /etc/mpd.sys.conf по умолчанию установлен в /var/empty 
(чтоб не ругалось при запуске в ненастроенном состоянии).
------- Comment #12 From 2007-09-14 15:42:47 -------
fixed in mpd-0.13.0-alt2